#!/bin/sh
#
# it is very useful to "dot" this from within .profile
#
# rename it -- perhaps ${PROTOP}/bin/wssenv, to prevent it being overwritten whenever protop is updated
#

# DLC=/usr/dlc					# in some cases it is handy to hard code it prior to protopenv
						# because protopenv uses any exisiting value first
. #ENVPT3#/bin/protopenv

TMOUT=0

export HOSTNAME=`uname -a | awk '{print $2}'`
PS1="${LOGNAME}@${HOSTNAME}> "

# PS1='${LOGNAME} `pwd`> '

# define xterm arrow keys for shell history

alias __A=`echo "\020"`
alias __B=`echo "\016"`
alias __C=`echo "\006"`
alias __D=`echo "\002"`

alias emacs=${PROTOP}/bin/uemacs		# Linux microemacs 5.03 stand-alone executable
export TERMCAP=${PROTOP}/etc/termcap

set -o emacs

alias scp='scp -q -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null'

export pt3dev="tom@pt3dev.wss.com:/home/pt3dev"

# useful reminders -- especially helpful if you don't login to this server every day
#

echo ""
cat ${DLC}/version
echo ""
echo "Progress is installed in:" ${DLC}
echo "  ProTop is installed in:" ${PROTOP}

# where to find Adam's admin scripts
#

# SCRIPTS=${SCRIPTS-/progress/scripts}
# export SCRIPTS
# 
# echo "    Admin scripts are in:" ${SCRIPTS}

# how to become the Progress DBA user (if necessary, also - the actual DBA user name might be something else)
#

# if [ "${LOGNAME}" != "prodba" ]
# then
# 	echo ""
# 	echo '"sudo su - prodba" to become "prodba" user'
# fi

echo ""

COLS=`tput cols`
ROWS=`tput lines`

if [ ${COLS} -lt 160 ]
then   
        echo "Your window width of ${COLS} is too narrow.  You will need a window with at least 160 columns."
fi

if [ ${ROWS} -lt 48 ]
then
        echo "Your window height of ${ROWS} is too short.  You will need a window with at least 48 rows.  More is better!"
fi

echo ""

# other reminders and helpful hints (if any...)
#

